TypeConvertingMap (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Groovy] Class TypeConvertingMap

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.util.AbstractTypeConvertingMap
              org.codehaus.groovy.grails.web.util.TypeConvertingMap

    @groovy.transform.CompileStatic
    class TypeConvertingMap
    extends AbstractTypeConvertingMap

A category for use with maps that want type conversion capabilities. Type converting maps have no inherent ordering. Two maps with identical entries but arranged in a different order internally are considered equal.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class AbstractTypeConvertingMap
wrappedMap

Constructor Summary
`TypeConvertingMap()`
`TypeConvertingMap(java.util.Map map)`

Method Summary
`java.lang.Boolean` | `boolean(java.lang.String name)`
`java.lang.Boolean` | `boolean(java.lang.String name, java.lang.Boolean defaultValue)`
`java.lang.Byte` | `byte(java.lang.String name)`
`java.lang.Byte` | `byte(java.lang.String name, java.lang.Integer defaultValue)`
`java.lang.Character` | `char(java.lang.String name)`
`java.lang.Character` | `char(java.lang.String name, java.lang.Character defaultValue)`
`java.lang.Character` | `char(java.lang.String name, java.lang.Integer defaultValue)`
`java.lang.Object` | `clone()`
`java.lang.Double` | `double(java.lang.String name)`
`java.lang.Double` | `double(java.lang.String name, java.lang.Double defaultValue)`
`java.lang.Float` | `float(java.lang.String name)`
`java.lang.Float` | `float(java.lang.String name, java.lang.Float defaultValue)`
`java.lang.Integer` | `int(java.lang.String name)`
`java.lang.Integer` | `int(java.lang.String name, java.lang.Integer defaultValue)`
`java.lang.Long` | `long(java.lang.String name)`
`java.lang.Long` | `long(java.lang.String name, java.lang.Long defaultValue)`
`java.lang.Short` | `short(java.lang.String name)`
`java.lang.Short` | `short(java.lang.String name, java.lang.Integer defaultValue)`

Methods inherited from class AbstractTypeConvertingMap
asBoolean, clear, containsKey, containsValue, date, date, date, entrySet, equals, get, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getList, getLong, getLong, getShort, getShort, hashCode, isEmpty, keySet, list, put, putAll, remove, size, toString, values

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### TypeConvertingMap

    TypeConvertingMap()

### TypeConvertingMap

    TypeConvertingMap(java.util.Map map)

Method Detail

### boolean

    java.lang.Boolean boolean(java.lang.String name)

### boolean

    java.lang.Boolean boolean(java.lang.String name, java.lang.Boolean defaultValue)

### byte

    java.lang.Byte byte(java.lang.String name)

### byte

    java.lang.Byte byte(java.lang.String name, java.lang.Integer defaultValue)

### char

    java.lang.Character char(java.lang.String name)

### char

    java.lang.Character char(java.lang.String name, java.lang.Character defaultValue)

### char

    java.lang.Character char(java.lang.String name, java.lang.Integer defaultValue)

### clone

    java.lang.Object clone()

### double

    java.lang.Double double(java.lang.String name)

### double

    java.lang.Double double(java.lang.String name, java.lang.Double defaultValue)

### float

    java.lang.Float float(java.lang.String name)

### float

    java.lang.Float float(java.lang.String name, java.lang.Float defaultValue)

### int

    java.lang.Integer int(java.lang.String name)

### int

    java.lang.Integer int(java.lang.String name, java.lang.Integer defaultValue)

### long

    java.lang.Long long(java.lang.String name)

### long

    java.lang.Long long(java.lang.String name, java.lang.Long defaultValue)

### short

    java.lang.Short short(java.lang.String name)

### short

    java.lang.Short short(java.lang.String name, java.lang.Integer defaultValue)

Groovy Documentation